/***************************************************************************
                          wave.h  -  description
                             -------------------
    begin                : Mon Mar 13 2000
    copyright            : (C) 2000 by Michael Speck
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef WAVE_H
#define WAVE_H


/**
  *@author Michael Speck
  */

#include <SDL/SDL.h>

class Wave {
public: 
	Wave(char *filename);
	~Wave();
	SDL_AudioSpec Spec();
	unsigned int Length();
	unsigned char* Buffer();
	void Format(SDL_AudioSpec spec);
private:
	unsigned char	*buffer;
	unsigned int	length;
	SDL_AudioSpec	spec;
};

#endif
